# BBDIGEST

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

bbdigest - calculate message digests

## SYNOPSIS

bbdigest md5|sha1|rmd160 [filename]

## DESCRIPTION

bbdigest(1) is a utility to calculate message digests for a file or document. It is used when defining HTTP- or FTP-based content checks, where bbtest-net(1) checks that a URL returns a specific document; instead of having to compare the entire document, the comparison is done against a pre-computed message digest value using the MD5, SHA1 or RIPEMD160 message digest algorithm.

The optional filename parameter is the input file whose message digest should be calculated; if no filename is given, the data is read from standard input.

bbdigest outputs a string containing the digest algorithm and the computed message digest. This is in a format suitable for use in the bb-hosts(5) definition of a content check.

## EXAMPLE

$ bbdigest md5 index.html
md5:88b81b110a85c83db56a939caa2e2cf6

$ curl -s http://www.foo.com/ | bbdigest sha1
sha1:e5c69784cb971680e2c7380138e04021a20a45a2

## SEE ALSO

bbtest-net(1), bb-hosts(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
EXAMPLE
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008